Name:          patchutils
Version:       0.3.4
Release:       14
Summary:       A small collection of programs that operate on patch files
License:       GPLv2+
URL:           http://cyberelk.net/tim/patchutils/
Source0:       http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.xz
Patch1:        patchutils-bz1226985.patch
Patch2:        patchutils-format-str.patch
Obsoletes:     interdiff <= 0.0.10
Provides:      interdiff = 0.0.11
Requires:      patch
BuildRequires: automake, autoconf perl-generators xmlto gcc

%description
This is a collection of programs that can manipulate patch files in a variety of ways,
such as interpolating between two pre-patches, combining two incremental patches, fixing
line numbers in manually edited patches, and only listing modifications by patches document.

%package        help
Summary:        This package contains help documents

%description    help
Files for help with patchutils.

%prep
%autosetup -p1
autoreconf

%build
touch doc/patchutils.xml
%configure
%make_build

%check
make check

%install
%make_install

%files
%doc AUTHORS README COPYING
%{_bindir}/*

%files help
%doc ChangeLog BUGS NEWS
%{_mandir}/*/*

%changelog
* Wed Jun 23 2021 liudabo <liudabo1@huawei.com> - 0.3.4-14
- DESC:Add gcc build dependcy

* Wed Nov 27 2019 wangyiru <wangyiru1@huawei.com> - 0.3.4-13
- Package init
